<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gattc__read__by__type__req__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gattc_read_by_type_req_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_client.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gattc__read__by__type__req__t_1a5ddf0d7273d7c7db48654d0df31d97ca" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_gattc_read_by_type_req_t::range</definition>
        <argsstring />
        <name>range</name>
        <briefdescription>
<para>Handle Range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="82" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__read__by__type__req__t_1aa3a2790feb428288549275bfc8ac9ff8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unioncy__ble__uuid__t">cy_ble_uuid_t</ref></type>
        <definition>cy_ble_uuid_t cy_stc_ble_gattc_read_by_type_req_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>GATT UUID type. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="85" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="85" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__read__by__type__req__t_1a20298e192557930e32dda3949d6755bb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gattc_read_by_type_req_t::uuidFormat</definition>
        <argsstring />
        <name>uuidFormat</name>
        <briefdescription>
<para>Format indicating, 16-bit or 128-bit UUIDs For 16-bit UUID format - CY_BLE_GATT_16_BIT_UUID_FORMAT (0x01) For 128-bit UUID format - CY_BLE_GATT_128_BIT_UUID_FORMAT (0x02) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="91" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="91" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__read__by__type__req__t_1a75fc62720036ad230c4f08efba63dc3b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gattc_read_by_type_req_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="94" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT read by type request parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="687">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="684">
        <label>cy_ble_uuid_t</label>
        <link refid="unioncy__ble__uuid__t" />
        <childnode refid="685" relation="usage">
          <edgelabel>uuid128</edgelabel>
        </childnode>
      </node>
      <node id="686">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="683">
        <label>cy_stc_ble_gattc_read_by_type_req_t</label>
        <link refid="structcy__stc__ble__gattc__read__by__type__req__t" />
        <childnode refid="684" relation="usage">
          <edgelabel>uuid</edgelabel>
        </childnode>
        <childnode refid="686" relation="usage">
          <edgelabel>range</edgelabel>
        </childnode>
        <childnode refid="687" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="685">
        <label>cy_stc_ble_uuid128_t</label>
        <link refid="structcy__stc__ble__uuid128__t" />
      </node>
    </collaborationgraph>
    <location bodyend="96" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="79" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="80" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gattc__read__by__type__req__t_1a75fc62720036ad230c4f08efba63dc3b" virt="non-virtual"><scope>cy_stc_ble_gattc_read_by_type_req_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__read__by__type__req__t_1a5ddf0d7273d7c7db48654d0df31d97ca" virt="non-virtual"><scope>cy_stc_ble_gattc_read_by_type_req_t</scope><name>range</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__read__by__type__req__t_1aa3a2790feb428288549275bfc8ac9ff8" virt="non-virtual"><scope>cy_stc_ble_gattc_read_by_type_req_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__read__by__type__req__t_1a20298e192557930e32dda3949d6755bb" virt="non-virtual"><scope>cy_stc_ble_gattc_read_by_type_req_t</scope><name>uuidFormat</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>